================
dokuwiki-addsite
================

------------------------------------
Create a new site driven by DokuWiki
------------------------------------

:manual section: 1
:manual group: DokuWiki

Synopsis
========

| **dokuwiki-addsite** ['OPTIONS'] {'SITE_NAME'}

Description
===========

DokuWiki is a standards compliant, simple to use wiki mainly aimed at creating documentation of any kind.

**dokuwiki-addsite** creates the file hierarchy and configuration required to define a new site driven by the installed DokuWiki engine.

Options
=======

--no-admin:
  Do create any administrator user and do not ask for a password.

-h, --help:
  Show a help message and exit.

SITE_NAME:
  Name of the site to create. For a virtual host-based setup, it reflects the corresponding hostname.
  For instance, for a site accessible at an address such as http://wiki.project.example.com:8080/foo/bar/, it can be either project.example.com, wiki.project.example.com, wiki.project.example.com.foo.bar or even 8080.wiki.project.example.com.foo.bar.
  For a directory or htaccess-based setup, this is the corresponding site identifier. For instance, for a site accessible at an address such as http://wiki.example.com/project/, rewritten by the web server as doku.php?animal=project, it is simply project.

Notes
=====

The site configuration is stored in /etc/dokuwiki/farm/SITE_NAME/, and the data is stored in /var/lib/dokuwiki/farm/SITE_NAME/, as indicated in the site configuration.

In a virtual host-based setup, if you need to make a given site accessible at several URLs, you can symlink its configuration directory to another name (it is not necessary to symlink the data directory).

If you need to rename a site, you can rename the configuration and data directories, and edit the configuration to point to the new data directory.

Bugs
====

No check is done against the SITE_NAME, just avoid names like ../../../etc.
Please report any bug to the Debian BTS.

See also
========

| dokuwiki-delsite(1),
| http://www.dokuwiki.org/tips:farm

Authors
=======

Tanguy Ortolo <tanguy+debian@ortolo.eu>
